Bug 440434 - Error doing GetSessionForUnixProcess on ConsoleKit
Error doing GetSessionForUnixProcess on ConsoleKit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 11:14 EDT by Orion Poplawski
Modified: 2009-06-19 07:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 11:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-04-03 11:14:49 EDT
Description of problem:

Running virsh as root:

# virsh
Attempting to gain the privilege for org.libvirt.unix.manage.

** (process:22607): WARNING **: Error doing GetSessionForUnixProcess on
ConsoleKit: org.freedesktop.DBus.GLib.UnmappedError.CkManagerError.Code0: Unable
to lookup session information for process '22607'
polkit-grant-helper: it only makes sense to run polkit-grant-helper as non-root
Failed to gain the privilege for org.libvirt.unix.manage.

Version-Release number of selected component (if applicable):
libvirt-0.4.1-2.fc8

How reproducible:
every time
Comment 1 Daniel Berrange 2008-04-04 12:07:38 EDT
The fix is built into libvirt-0.4.1-3.fc8
Comment 2 Fedora Update System 2008-04-04 12:08:02 EDT
libvirt-0.4.1-3.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-09 01:14:13 EDT
libvirt-0.4.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2915
Comment 4 Orion Poplawski 2008-04-09 11:43:50 EDT
Confirmed fixed.
Comment 5 Fedora Update System 2008-04-16 23:56:27 EDT
libvirt-0.4.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.